#ifndef FILTER_H
#define FILTER_H

#pragma once

class PT1Filter {
private:
    double output;
    double filterFactor;

public:
    PT1Filter(double tau, double dt);
    double update(double input);
    double step(double input);
    void reset();
};



#endif // FILTER_H
